## 0.0.1

Initial Release

* TODO: Describe initial release.
## [0.0.2] - 2024-03-19

### Changed
- Changed input type of requestData parameter to match expected type of Map<String, Map<String, String>>

## [0.0.3] - 2024-03-20

### Changed
- Logging url

## [0.0.4] - 2024-03-31

### Changed
- Now opens Error Dialog if Overlay failed to open

## [0.0.5] - 2024-04-06

### Changed
- Fixed Onairos Button Icon pathing issues

## [0.0.6] - 2024-04-06

### Changed
- Remove dialog on failed overlay

## [0.0.7] - 2024-04-07

### Changed
- Onairos 0.0.7 Overlay Fix
- Fixed Disconnect Apps
- Fixed Youtube Connect

## [0.0.8] - 2024-04-07

### Changed
- Using OnairosButtonWrapper, with fail modal

## [0.1.0] - 2024-04-09

### Changed
- Removed deep link to Onairos app to open overlay
- Now, onairos dart package opens overlay within itself, after biometric confirmation
- Added Modal is user clicks to send Onairos data but either: doesn't have the onairos app installed or doesn't have an active model created

## [0.1.1] - 2024-04-09

### Changed
- onairos_button.dart (OnairosButtonWrapper1) uses SecureAuthService with flutter_secure_storage to retrieve onairos username and key in secure encalve
- onairos_button2.dart (OnairosButtonWrapper2) uses SecureAuthService with biometric_storage to retrieve onairos username and key in secure encalve

## [0.1.2] - 2024-04-11

### Changed
- Exporting onairos_button.dart and onairos_button2.dart (so can access OnairosButtonWrapper1 and OnairosButtonWrapper2)

## [0.1.3] - 2024-04-13

### Changed
- No change to API
- Only 1 biometric retrieval using Map instead of once every String input 

## [0.1.4] - 2024-04-15

### Changed
- onResolved as required parameter, which is resolved with the specific api url as input, once the users data request is verified
- onResolved should be a function which makes the api request using the String input, and will recieve the user onairos data after, you can use a simple setter to extract it from the onResolved function and be used in your main app

## [0.1.5] - 2024-04-15

### Changed
- Changes to onResolved Parameter Signature
- Changed from final Function onResolved => final void Function(String apiUrl, String accessToken) onResolved;

## [0.1.6] - 2024-04-26

### Changed
- Changes onairos details retrieval in secure enclave
- It is now retrieved using OnaiosUsername as the key

## [0.1.7] - 2024-04-27

### Changed
- Fix to retrieve user Onairos details

## [0.2.0] - 2024-04-28

### Changed
- Change onairos overlay flow:
  - User clicks Onairos button on your app
  - If first time user has done so, Onairos app opens up, asks user for permission
  - After permission granted, switch back to your app via **deep link**
  - Flow then continues as previous
  - Onairos overlay then displays your data requests, and user accepts, the callback function you supplied earlier is called
  - Again this function is called with the API url as input
- Supply registered URL scheme to Onairos Button initialization (this must be registered in your Info.Plist in the following format: 
- <key>CFBundleURLSchemes</key>
			<array>
				<string>onairos</string>
			</array>) 

## [0.2.1] - 2024-04-28

### Changed
- Logging for debugging

## [0.2.2] - 2024-04-29

### Changed
- Fixing swift code

## [0.2.3] - 2024-04-29

### Changed
- Fixing pubspec.yaml

## [0.2.4] - 2024-04-29

### Changed
- Remove duplcicate Swift files

## [0.2.5] - 2024-04-29

### Changed
- Fixed some settings

## [0.2.6] - 2024-04-30

### Changed
- Added visibility for Swift functions

## [0.2.7] - 2024-04-30

### Changed
- Encoding for Deeplink

## [0.2.8] - 2024-05-07

### Changed
- Added nonce in Onairos Deep Link


## [0.2.9] - 2024-05-08

### Changed
- Changing URI Deep Link Structure

## [0.2.10] - 2024-05-10

### Changed
- Printing URI for debugging
  

## [0.2.11] - 2024-05-11

### Changed
- Fixing URI Encoding

## [0.2.12] - 2024-05-11

### Changed
- Not URI encoding 
